(function ($, Drupal, drupalSettings, once) {

  // const toggleClass = 'doghouse-menu-toggle-open';
  const toggleClass = 'doghouse-menu--open';

  Drupal.behaviors.doghouseMenuToggle = {
    attach(context) {
      $(once('menu-toggle', '.js-doghouse-menu-toggle', context)).click(function(e) {
        e.preventDefault();
        $('body').toggleClass(toggleClass);
      });
    },
  };

  Drupal.behaviors.doghouseMenuClose = {
    attach(context) {
      $(once('menu-close', '.js-doghouse-menu-close', context)).click(function(e) {
        e.preventDefault();
        $('body').removeClass(toggleClass);
      });
    },
  };

}(jQuery, Drupal, drupalSettings, once));
